Skip to main content
API/Reference/Convert a file
POST/api/v1/convert

Convert a file

Route a supported document conversion through the managed processor fleet.

Authentication

API key

Scopes

jobs:create

Contract

API v1

Request

curl -X POST 'https://api.maxscanner.app/api/v1/convert' \
  -H 'Authorization: Bearer $MAXSCANNER_API_KEY' \
  -H 'Content-Type: application/json' \
  -H 'Idempotency-Key: unique-request-id' \
  -d '{ "sourceKey": "…", "inputFormat": "docx", "format": "pdf" }'

Request body

{ "sourceKey": "…", "inputFormat": "docx", "format": "pdf" }

Response

{ "jobId": "job_123", "status": "queued" }

Implementation notes

  • Conversion is asynchronous.
  • Processor implementation details are intentionally not part of the public contract.

Try this endpoint

Use the API Playground to authenticate and test safely before wiring the endpoint into your application.

Open Playground →